Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problemy z icu po upgrade
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish)
View previous topic :: View next topic  
Author Message
eclipsefan
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jun 2008
Posts: 88
Location: Warsaw, Poland

PostPosted: Fri May 18, 2012 6:19 am    Post subject: problemy z icu po upgrade Reply with quote

Witam,

Nie wiem czy zauważyliście, ale ostatnio coś dziwnego dzieje się z pakietem icu. Np. była dostępna wersja 4.8.1.1 a potem nagle 49.1.1. Od upgradu dużo innych paczek zaczęło się sypać w działaniu, bo nie mogą znaleźć takich plików jak powiedzmy libicui18n.so.48. Nie powiem, jest to trochę irytujące bo teraz trzeba czekać aż ktoś coś poprawi (a może to u mnie jest błąd)? revdep i reinstalacja nic nie daje. Dodam, że już takie sytuacje się zdarzały w przeszłości.

Co mógę zrobić, aby naprawić te zależności i uniknąć problemów na przyszłość? Dodam, że mam ACCEPT_KEYWORDS="~amd64".

Dzięki za pomoc,
Kuba
_________________
Gdyby Bóg popierał przedni napęd, chodzilibyśmy teraz na rękach.
Back to top
View user's profile Send private message
Jacekalex
Guru
Guru


Joined: 17 Sep 2009
Posts: 490

PostPosted: Fri May 18, 2012 1:13 pm    Post subject: Reply with quote

Quote:
Nie wiem czy zauważyliście, ale ostatnio coś dziwnego dzieje się z pakietem icu........ Dodam, że już takie sytuacje się zdarzały w przeszłości.

Nic dziwnego się nie dzieje, jak system skonfigurujesz, tak potem działa.

Najlepiej cofnij wersje na stabilną:
Code:
emerge =dev-libs/icu-4.8.1.1-r1


A na przyszłość pamiętaj, że Gentoo to nie Ubuntu, żeby jakis Developer myślal za Ciebie.
Tutaj sam musisz ruszyć głową, zeby uniknać problemów.

W dodatku pproblem wskazuje, że do dokumentacji portage chyba nawet nie zajrzałeś, a jeśli nawet, to za wiele z niej nie zrozumiałeś.
W przeciwnym razie twojego postu by w ogóle nie było.

Dodaj sobie do FEAUTRES w make.conf opcję preserve-libs,
wtedy system sam będzie dbał o takie zależnosci i raportował o koniecznych zmianach.

To by bylo na tyle
8)
Back to top
View user's profile Send private message
Pryka
l33t
l33t


Joined: 08 Jun 2007
Posts: 625
Location: /dev/null

PostPosted: Fri May 18, 2012 6:42 pm    Post subject: Reply with quote

@Jacekalex
preserve-libs jest dopiero w portage 2.2, na nic zdaje się czytanie manuala make.conf bo tego po prostu tam nie ma. Zresztą w żadnej dokumentacji tego nie widziałem.


@eclipsefan
Nie ma żadnego skoku, zmienili nazewnictwo tylko i tyle.

Zwykłe revdep-rebuild pewnie załatwi sprawę...
Back to top
View user's profile Send private message
Jacekalex
Guru
Guru


Joined: 17 Sep 2009
Posts: 490

PostPosted: Sat Jun 23, 2012 7:32 pm    Post subject: Reply with quote

Pryka wrote:
@Jacekalex
preserve-libs jest dopiero w portage 2.2, na nic zdaje się czytanie manuala make.conf bo tego po prostu tam nie ma. Zresztą w żadnej dokumentacji tego nie widziałem.

..........

eclipsefan wrote:
Co mógę zrobić, aby naprawić te zależności i uniknąć problemów na przyszłość?
Dodam, że mam ACCEPT_KEYWORDS="~amd64".

@Pryka
A w architekturze ~amd64 to jaka wersja portage jest automatycznie instalowana?
Jak sie Tobie zdaje? :twisted:

Pozdrawiam
8)
Back to top
View user's profile Send private message
SlashBeast
Moderator
Moderator


Joined: 23 May 2006
Posts: 2824

PostPosted: Sat Jun 23, 2012 9:17 pm    Post subject: Reply with quote

Jacekalex wrote:
A w architekturze ~amd64 to jaka wersja portage jest automatycznie instalowana?

Napewno nie 2.2, 2.2 ma missing keywords. 2.1 jest w ~amd64.
_________________
BitBucket -- better-initramfs to address many usecases and linux's limitations.
Back to top
View user's profile Send private message
Pryka
l33t
l33t


Joined: 08 Jun 2007
Posts: 625
Location: /dev/null

PostPosted: Mon Jun 25, 2012 3:45 pm    Post subject: Reply with quote

Jacekalex wrote:

@Pryka
A w architekturze ~amd64 to jaka wersja portage jest automatycznie instalowana?
Jak sie Tobie zdaje? :twisted:

Pozdrawiam
8)


Na architekturze ~arch instaluje się gałąź 2.1.* Obecnie najnowsza wersja to 2.1.11.1 zainstalowana przed minutą. Używam ~arch od kilkunastu lat i nigdy tam nie było 2.2
Back to top
View user's profile Send private message
Garrappachc
Guru
Guru


Joined: 26 Dec 2008
Posts: 356
Location: Kraków

PostPosted: Mon Jun 25, 2012 4:09 pm    Post subject: Reply with quote

To ja od siebie polecę 2.2.0. Żadnych bugów, spisuje się wyśmienicie.
_________________
De profundis clamavi ad Te, Domine

emerge --info | virtual aviation
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum